# Uses of Interface
org.eclipse.core.runtime.content.IContentType

Packages that use IContentType
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.core.filebuffers
Provides the API for accessing file buffers.
org.eclipse.core.runtime.content
Provides core support for content types.
org.eclipse.search.ui.text
Provides the base classes to implement a search result view part for searches with textual matches.
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.editors.text
Provides a standard text editor and concrete document providers based `IFileBuffer` and others directly handling `IFile` and `IStorage` as editor input.
org.eclipse.ui.ide
APIs for the IDE-specific portion of the Eclipse Platform User Interface.
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.
org.eclipse.ui.texteditor.spelling
Partial infrastructure for spell checking in text editors.

## Uses of IContentType in org.eclipse.compare

Methods in org.eclipse.compare with parameters of type IContentType
Modifier and Type
Method
Description
`static IStreamMerger`
CompareUI.`createStreamMerger(IContentType type)`
Deprecated.
Clients should obtain an `org.eclipse.team.core.mapping.IStorageMerger` from the `org.eclipse.team.core.Team#createMerger(IContentType)` method.

## Uses of IContentType in org.eclipse.core.filebuffers

Methods in org.eclipse.core.filebuffers that return IContentType
Modifier and Type
Method
Description
`IContentType`
IFileBuffer.`getContentType()`
Returns the content type of this file buffer or `null` if none could be determined.

## Uses of IContentType in org.eclipse.core.runtime.content

Methods in org.eclipse.core.runtime.content that return IContentType
Modifier and Type
Method
Description
`IContentType`
IContentTypeManager.`addContentType(String contentTypeIdentifier, String name, IContentType baseType)`
Adds a new content-type to the registry.
`IContentType`
IContentTypeMatcher.`findContentTypeFor(InputStream contents, String fileName)`
Returns the preferred content type for the given contents and file name.
`IContentType`
IContentTypeMatcher.`findContentTypeFor(String fileName)`
Returns the preferred content type for the given file name.
`IContentType[]`
IContentTypeMatcher.`findContentTypesFor(InputStream contents, String fileName)`
Returns the content types associated to the given contents and file name.
`IContentType[]`
IContentTypeMatcher.`findContentTypesFor(String fileName)`
Returns all content types known by the platform that are associated to the given file name.
`IContentType[]`
IContentTypeManager.`getAllContentTypes()`
Returns all content types known by the platform.
`IContentType`
IContentType.`getBaseType()`
Returns a reference to this content type's base type.
`IContentType`
IContentDescription.`getContentType()`
Returns the content type detected.
`IContentType`
IContentTypeManager.ContentTypeChangeEvent.`getContentType()`
Return the content type object associated with this change event.
`IContentType`
IContentTypeManager.`getContentType(String contentTypeIdentifier)`
Returns the content type with the given identifier, or `null` if no such content type is known by the platform.
`IContentType[]`
IContentTypeManager.ISelectionPolicy.`select(IContentType[] candidates, boolean fileName, boolean content)`
Returns a subset of the given content types sorted by using a custom criterion.
Methods in org.eclipse.core.runtime.content with parameters of type IContentType
Modifier and Type
Method
Description
`IContentType`
IContentTypeManager.`addContentType(String contentTypeIdentifier, String name, IContentType baseType)`
Adds a new content-type to the registry.
`boolean`
IContentType.`isKindOf(IContentType another)`
Returns whether this content type is a kind of the given content type.
`IContentType[]`
IContentTypeManager.ISelectionPolicy.`select(IContentType[] candidates, boolean fileName, boolean content)`
Returns a subset of the given content types sorted by using a custom criterion.
Constructors in org.eclipse.core.runtime.content with parameters of type IContentType
Modifier
Constructor
Description
``
`ContentTypeChangeEvent(IContentType source)`
Constructor for a new content type change event.
``
`ContentTypeChangeEvent(IContentType source, IScopeContext context)`
Constructor for a new content type change event.

## Uses of IContentType in org.eclipse.search.ui.text

Methods in org.eclipse.search.ui.text that return IContentType
Modifier and Type
Method
Description
`IContentType[]`
FileTextSearchScope.`getContentTypes()`
Returns the content types configured for this scope or `null` to match all content types.

## Uses of IContentType in org.eclipse.team.core

Methods in org.eclipse.team.core with parameters of type IContentType
Modifier and Type
Method
Description
`static IStorageMerger`
Team.`createMerger(IContentType type)`
Creates a storage merger for the given content type.
`IStorageMerger`
Team.`createStorageMerger(IContentType type)`
Deprecated.
Use `Team.createMerger(IContentType)` instead.

## Uses of IContentType in org.eclipse.team.core.mapping

Methods in org.eclipse.team.core.mapping that return IContentType
Modifier and Type
Method
Description
`static IContentType`
DelegatingStorageMerger.`getContentType(IStorage target)`
A helper method that finds the content type for the given storage or returns `null` if a content type cannot be found.

## Uses of IContentType in org.eclipse.ui

Methods in org.eclipse.ui with parameters of type IContentType
Modifier and Type
Method
Description
`IEditorDescriptor`
IEditorRegistry.`getDefaultEditor(String fileName, IContentType contentType)`
Returns the default editor for a given file name and with the given content type.
`IEditorDescriptor[]`
IEditorRegistry.`getEditors(String fileName, IContentType contentType)`
Returns the list of file editors registered to work against the file with the given file name and with the given content type.
`ImageDescriptor`
IEditorRegistry.`getImageDescriptor(String filename, IContentType contentType)`
Returns the image descriptor associated with a given file.

## Uses of IContentType in org.eclipse.ui.editors.text

Methods in org.eclipse.ui.editors.text that return IContentType
Modifier and Type
Method
Description
`IContentType`
FileDocumentProvider.`getContentType(Object element)`
`IContentType`
ForwardingDocumentProvider.`getContentType(Object element)`
`IContentType`
StorageDocumentProvider.`getContentType(Object element)`
`IContentType`
TextFileDocumentProvider.`getContentType(Object element)`
`IContentType`
TextFileDocumentProvider.NullProvider.`getContentType(Object element)`
Deprecated.

## Uses of IContentType in org.eclipse.ui.ide

Methods in org.eclipse.ui.ide that return IContentType
Modifier and Type
Method
Description
`static IContentType`
IDE.`getContentType(IFile file)`
Return the content type for the given file.
`static IContentType`
IDE.`guessContentType(IFile file)`
Guess at the content type of the given file based on the filename.
Methods in org.eclipse.ui.ide with parameters of type IContentType
Modifier and Type
Method
Description
`IEditorDescriptor`
IEditorAssociationOverride.`overrideDefaultEditor(String fileName, IContentType contentType, IEditorDescriptor editorDescriptor)`
Allows to override the given editor descriptor for the given input with a different one.
`IEditorDescriptor`
IEditorAssociationOverride.`overrideDefaultEditor(IEditorInput editorInput, IContentType contentType, IEditorDescriptor editorDescriptor)`
Allows to override the given editor descriptor for the given editor input with a different one.
`static IEditorDescriptor`
IDE.`overrideDefaultEditorAssociation(IEditorInput editorInput, IContentType contentType, IEditorDescriptor editorDescriptor)`
Applies the `org.eclipse.ui.ide.editorAssociationOverride` extensions to the given input.
`static IEditorDescriptor[]`
IDE.`overrideEditorAssociations(String fileName, IContentType contentType, IEditorDescriptor[] editorDescriptors)`
Applies the `org.eclipse.ui.ide.editorAssociationOverride` extensions to the given input.
`static IEditorDescriptor[]`
IDE.`overrideEditorAssociations(IEditorInput editorInput, IContentType contentType, IEditorDescriptor[] editorDescriptors)`
Applies the `org.eclipse.ui.ide.editorAssociationOverride` extensions to the given input.
`IEditorDescriptor[]`
IEditorAssociationOverride.`overrideEditors(String fileName, IContentType contentType, IEditorDescriptor[] editorDescriptors)`
Allows to override the given editor descriptors for the given file name with different ones.
`IEditorDescriptor[]`
IEditorAssociationOverride.`overrideEditors(IEditorInput editorInput, IContentType contentType, IEditorDescriptor[] editorDescriptors)`
Allows to override the given editor descriptors for the given editor input with different ones.

## Uses of IContentType in org.eclipse.ui.texteditor

Methods in org.eclipse.ui.texteditor that return IContentType
Modifier and Type
Method
Description
`IContentType`
AbstractDocumentProvider.`getContentType(Object element)`
`IContentType`
IDocumentProviderExtension4.`getContentType(Object element)`
Returns the content type of for the given element or `null` if none could be determined.

## Uses of IContentType in org.eclipse.ui.texteditor.spelling

Methods in org.eclipse.ui.texteditor.spelling that return IContentType
Modifier and Type
Method
Description
`IContentType`
SpellingContext.`getContentType()`
Returns the content type of the document.
`protected IContentType`
SpellingReconcileStrategy.`getContentType()`
Returns the content type of the underlying editor input.
Methods in org.eclipse.ui.texteditor.spelling with parameters of type IContentType
Modifier and Type
Method
Description
`void`
SpellingContext.`setContentType(IContentType contentType)`
Sets the content type of the document.